Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1207044

Description of problem:

If a host isn't in build mode, you cannot check if the kickstart template is rendered properly. Either you enable build mode and use 

http://sat6host/unattended/provision or you get an authentication cookie and use 

https://sat6host/unattended/provision?spoof=&lt;hostname&gt;. Both ways are tricky.

How reproducible:

Always

Steps to Reproduce:

1. Access to http://sat6host/unattended/provision from a host which is not in build mode and you won't get the template

2. Access to https://sat6.host/unattended/provision/?spoof=>hostname> and you will be redirected to login pages

3. No more methods to get it rendered

Expected results:

At least [1] should work, no matter the build status. Or it would be even better to have any API method to get it rendered.

Related issues:

Related to Foreman - Refactor #12529: Use load_template_vars in TFTP orchestr... New 11/19/2015

Related to Foreman - Bug #12621: Excessive TemplateKind DB queries when retri... Closed 11/27/2015

Associated revisions

Revision 8a817cb2 - 11/19/2015 09:37 AM - Shlomi Zadok

Fixes #11643 - [API] Add preview template to host

History

#1 - 09/02/2015 04:41 AM - Dominic Cleal

Bryan Kearney wrote:

1. Access to http://sat6host/unattended/provision from a host which is not in build mode and you won't get the template

 [..]

At least [1] should work, no matter the build status

 No, it really should not, it can change states.  It is not part of the user API, it should not be called directly.  Ditto the spoof URL, it's part of the UI, not

API.

#2 - 09/02/2015 12:31 PM - Bryan Kearney

Is there a better way for users to get at the rendered ks file?

-- bk
Dominic Cleal wrote:

Bryan Kearney wrote:

1. Access to http://sat6host/unattended/provision from a host which is not in build mode and you won't get the template

 [..]

At least [1] should work, no matter the build status

 No, it really should not, it can change states.  It is not part of the user API, it should not be called directly.  Ditto the spoof URL, it's part of the UI,

not API.

#3 - 11/04/2015 04:23 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Shlomi Zadok

- Pull request https://github.com/theforeman/foreman/pull/2889 added

#4 - 11/19/2015 09:35 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#5 - 11/19/2015 09:42 AM - Dominic Cleal

- Related to Refactor #12529: Use load_template_vars in TFTP orchestration's PXE menu generation added

#6 - 11/19/2015 10:01 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8a817cb209c9499663beb850f7eb8f1726da42ad.

#7 - 11/27/2015 04:53 AM - Dominic Cleal

- Related to Bug #12621: Excessive TemplateKind DB queries when retrieving API docs added

Powered by TCPDF (www.tcpdf.org)

05/09/2024 2/2

http://sat6host/unattended/provision
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/8a817cb209c9499663beb850f7eb8f1726da42ad
http://www.tcpdf.org

